<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="270dp"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:clipChildren="false">


    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_close"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_gravity="end"
        android:src="@mipmap/icon_close_with_circle"
        android:layout_marginEnd="30dp"
        android:layout_marginTop="10dp"
        />



    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingTop="60dp"
        >

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:src="@mipmap/withdraw_watch_ad_bg"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintDimensionRatio="h, 810:1209"
            />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:gravity="center_horizontal"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginTop="20dp"
            android:layout_marginHorizontal="30dp">

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/withdraw_info_confirm_title"
                />

            <androidx.appcompat.widget.AppCompatTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:textSize="15sp"
                android:textColor="@color/white"
                android:text="@string/withdraw_ad_hint"
                />


            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/withdraw_watch_ad_cahs_bg"
                    android:layout_marginTop="20dp"
                    />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical|top"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="30dp"
                    android:orientation="horizontal">
                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="30sp"
                        android:textColor="@color/green_2c"
                        android:text="@string/cash"
                        android:drawableStart="@mipmap/icon_cash"
                        />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_cash_num"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="5dp"
                        android:textSize="30sp"
                        android:textColor="@color/green_2c"
                        />
                </LinearLayout>



                <com.ama.core.architecture.widget.CustomProgressBar
                    android:id="@+id/progress_bar"
                    android:layout_width="match_parent"
                    android:layout_height="12dp"
                    android:layout_marginHorizontal="40dp"
                    android:layout_gravity="bottom"
                    android:layout_marginBottom="20dp"
                    />
            </FrameLayout>


            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_hint"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:layout_marginTop="30dp"
                android:padding="8dp"
                android:textSize="14sp"
                android:textColor="@color/gray3"
                android:text="@string/withdraw_watch_ad_hint"
                android:background="@mipmap/withdraw_watch_ad_hint_bg"
                />


            <FrameLayout
                android:id="@+id/fl_action"
                android:layout_width="wrap_content"
                android:layout_height="50dp"
                android:layout_marginTop="5dp"
                android:background="@mipmap/bg_but_green" >
                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:padding="8dp"
                    android:textSize="18sp"
                    android:textColor="@color/white"
                    android:text="@string/withdraw_watch_ad_action"
                    android:drawableStart="@mipmap/task_video"
                    android:drawablePadding="5dp"
                    />
            </FrameLayout>

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>